#***********************************************************************
#***** @task:    Put x3_DS programs in xRun/run-directory **************
#***** @author:  Bernd R. Noack ****************************************
#***** @revised: 2011-02-26 Poitiers (xAMC_Tools -> xRun + xTools) *****
#***** @created: 2010-04-03 Berlin->Poitiers ***************************
#***********************************************************************

#----- go to master directory (same level as xRun and xTools)
cd ../.. 

#----- copy x3_DS data in xRun/run/directory
cp xTools/x1_GM/*plot*.sh         xRun/run/    # shell scripts
cp xTools/x1_GM/*plot*.f          xRun/run/    # fortran files
cp xTools/x1_GM/*plot*.include    xRun/run/    # include files
cp xTools/x1_GM/*plot*.lib*       xRun/run/    # include list of IO files
cp xTools/x1_GM/*plot*.i*         xRun/run/    # keyboard files
cp xTools/x1_GM/*plot*.gnuplot    xRun/run/    # gnuplot scripts

#----- copy x3_DS data in xRun/run/directory
cp xTools/x3_DS/*.sh         xRun/run/    # shell scripts
cp xTools/x3_DS/*.f          xRun/run/    # fortran files
cp xTools/x3_DS/*.include    xRun/run/    # include files
cp xTools/x3_DS/*.lib*       xRun/run/    # include list of IO files
cp xTools/x3_DS/*.i*         xRun/run/    # keyboard files
cp xTools/x3_DS/*.gnuplot    xRun/run/    # gnuplot scripts
cp xTools/x3_DS/*.hx         xRun/run/    # amira scripts

#----- copy xLib data in xRun/run/directory
cp xTools/xLib/aTools*       xRun/run/    # library and needed include files
cp xTools/xLib/x_define*     xRun/run/    # library and needed include files
cp xTools/xLib/x?_DS*        xRun/run/    # library and needed include files
cp xTools/xLib/xs_ioTERM*    xRun/run/    # library and needed include files
cp xTools/xLib/xs_plotAmp*   xRun/run/    # library and needed include files
cp xTools/xLib/ns_*          xRun/run/    # library and needed include files
