#***********************************************************************
#***** @task:    Put x4_FTT programs in xRun/run directory (plugin) ****
#***** @dependency: copyXDS.sh must be executed before *****************
#***** @author:  Bernd R. Noack ****************************************
#***** @revised: 2011-02-26 Poitiers (xAMC_Tools -> xRun + xTools) *****
#***** @revised: 2010-04-03 Berlin->Poitiers (cp x?_ftt* added) ********
#***** @revised: 2010-04-01 Berlin (2nd renaming of directories) *******
#***** @revised: 2010-01-15 Poitiers (renaming of directories) *********
#***** @created: 2006-09-14 Berlin *************************************
#***********************************************************************

#----- go in master directory (same level as xRun and xTools)
cd ../..

#----- copy xTools/x4_FTT data in xRun/run directory
cp xTools/x4_FTT/*.sh       xRun/run    # shell scripts
cp xTools/x4_FTT/*.f        xRun/run    # fortran files
cp xTools/x4_FTT/*.include  xRun/run    # include files
cp xTools/x4_FTT/*.lib*     xRun/run    # include list of IO files
cp xTools/x4_FTT/*.i*       xRun/run    # keyboard files
cp xTools/x4_FTT/*.gnuplot  xRun/run    # gnuplot scripts
cp xTools/x4_FTT/*.hx       xRun/run    # amira scripts

#----- copy xTools/xLib data in xRun/run/directory
cp xTools/xLib/x?_ftt_*     xRun/run/    # library and needed include files