#***********************************************************************
#***** @task:    Put x1_GM programs in run-directory *******************
#***** @author:  Bernd Noack *******************************************
#***** @revised: 2011-02-26 Poitiers (xAMC_Tools -> xRun + xTools) *****
#***** @revised: 2010-04-01 Berlin (2nd renaming of directories) *******
#***** @revised: 2010-01-15 Poitiers (renaming of directories) *********
#***** @revised: 2008-01-25 >> copy libs and include files *************
#***** @revised: 2007-10-03 Berlin (inclusion of 2u,2c,3c dir.) ********
#***** @revised: 2006-09-10 Berlin (without creation of run-dir.) ******
#***** @created: 2006-06-28 Poitiers ***********************************
#***********************************************************************

#----- go to master directory (same level as xRun and xTools)
cd ../..
pwd

#----- copy x?_GM data in xRun/run/directory
cp xTools/x?_GM/*.sh         xRun/run/    # shell scripts
cp xTools/x?_GM/*.f          xRun/run/    # fortran files
cp xTools/x?_GM/*.include    xRun/run/    # include files
cp xTools/x?_GM/*.lib*       xRun/run/    # include list of IO files
cp xTools/x?_GM/*.i*         xRun/run/    # keyboard files
cp xTools/x?_GM/*.gnuplot    xRun/run/    # gnuplot scripts

#----- copy xLib data in xRun/run/directory
cp xTools/xLib/*          xRun/run/    # library and needed include files