


***** CLONE OF X0_PLOTFLOWS3C.F



*--------1---------2---------3---------4---------5---------6---------7--
*23456789012345678901234567890123456789012345678901234567890123456789012
      program x0plotFlow2c
      implicit none
* --- Galerkin system
      include 'xv.include'   ! NFlowsP, NEMP, NAMP, NVFP, fRe, ...
* --- auxiliary variables
      integer iOption, iFlow, iFlowMin, iFlowMax
      character*120 fn, Line
* === Begin main segment ============================================= *
* --- User info
      write(*,*) '****************************************'
      write(*,*) '******* Plot 3-D flow sets      ********'
      write(*,*) '******* (mid-plane slices)      ********'
      write(*,*) '******* of the whole domain     ********'
      write(*,*) '****************************************'
      write(*,*) '-------------- BN 120125 ---------------'
      write(*,*)
      call readYGA
      write(*,*)
***** user input *******************************************************
      write(*,*) '< 1 > ... snapshots'
      write(*,*) '< 2 > ... modes'
      read (*,*) iOption
      if (iOption.eq.1) then
        iFlowMin = 1
        call countFlows1(iFlowMax)
        write(*,*) 'snapshots:',iFlowMin,iFlowMax
      else if (iOption.eq.2) then
        iFlowMin = -NAM
        iFlowMax = +NEM
        write(*,*) 'modes:',iFlowMin,iFlowMax
      end if
***** preparing png files of all figures *******************************
      do iFlow = iFlowMin, iFlowMax
        open(10,file='tmp.dat',form='formatted',status='UNKNOWN')
        write(10,*) iOption
        write(10,*) iFlow
        write(10,*)
        close(10)
        call system('./xTools/Y0_plotFlow2c < tmp.dat')
        call system('ls gnu_??u[1-9].png > tmp.lis')
        call system('cat tmp.lis')
        open(11,file='tmp.sh', form='formatted',status='UNKNOWN')
        open(10,file='tmp.lis',form='formatted',status='UNKNOWN')
 101    read(10,'(a)',end=102,err=102) fn
* ......................123456789012
* ......expecting fn = 'gnu_xxuu.png'
        write(Line,'(a,a,2x,a,i4.4,a)') 
     &           'mv ',fn(1:12),fn(1:8)//'_',abs(iFlow),'.png'
* .........................1.........2.........3....
* ................1234567890123456789012345678901234
* ..... yielding 'mv gnu_xxuu.png  gnu_xxuu_0000.png'
        if (iFlow.lt.0) Line(26:26) = '-'
        write(11,'(a)') Line(1:34) 
        goto 101
 102    close(10)
        close(11)
        call system('sh tmp.sh')
      end do
***** preparing PNG viewer *********************************************
      call system('ls gnu_??u[1-9]?????.png > tmp.lis')
      call system('cat tmp.lis')
      open(11,file='gnu_xxuu.sh', form='formatted',status='UNKNOWN')
      write(11,'(a)') 'source x_defineLocalVariables.sh'
      open(10,file='tmp.lis',     form='formatted',status='UNKNOWN')
 201  read(10,'(a)',end=202,err=202) fn
* ....................12345678901234567
* ....expecting fn = 'gnu_xxuu_0000.png'
      write(11,'(a,2x,a)') '$PNGViewer ',fn(1:17)
      goto 201
 202  close(10)
      close(11)
      call system('chmod u+x gnu_xxuu.sh')
      call system('cat gnu_xxuu.sh')
      write(*,*)
      write(*,*) '>>> ./gnu_xxuu.sh'
***** LaTeX documentation **********************************************
      open (12,file='gnu_xxuu.tex', form='formatted',status='UNKNOWN')
      write(12,'(2a)') char(92)//'documentclass[a4paper]',
     &               '{article}'
      write(12,'(a)') char(92)//'usepackage{graphicx}'
      write(12,'(a)') char(92)//'DeclareGraphicsExtensions{png}'
      write(12,'(a)') char(92)//'begin{document}'
      write(12,'(a)') char(92)//'pagestyle{empty}'
* ---
      call system('ls gnu_??u[1-9]?????.png > tmp.lis')
      open(10,file='tmp.lis',     form='formatted',status='UNKNOWN')
 301  read(10,'(a)',end=302,err=302) fn
* ....................12345678901234567
* ....expecting fn = 'gnu_xxuu_0000.png'
 
      write(12,'(a)') char(92)//'vspace{-20mm}'
      write(12,'(a)') char(92)//'begin{flushright}'
      write(12,'(4a)') 
     &char(92)//'includegraphics[height=70mm,width=120mm,angle=0]{',
     &           fn(1:17),'}' 
        write(12,'(a)') char(92)//'end{flushright}'
      goto 301
 302  close(10)
      write(12,'(a)') char(92)//'end{document}'
      close(12)
      call system('pdflatex gnu_xxuu.tex')
***** HTML documentation **********************************************
      open (12,file='gnu_xxuu.html', form='formatted',status='UNKNOWN')
      write(12,'(a)') '<html>'
      write(12,'(a)') '<head>'
      write(12,'(a)') '<title>xAMC</title>'
      write(12,'(a)') '<body>'
      write(12,'(a)') '<ol>'
* --
      call system('ls gnu_??u[1-9]?????.png > tmp.lis')
      open(10,file='tmp.lis',form='formatted',status='UNKNOWN')
 401  read(10,'(a)',end=402,err=402) fn
* ....................12345678901234567
* ....expecting fn = 'gnu_xxuu_0000.png'
      write(12,'(5a)') 
     &'<li><img src="', fn(1:17), '" alt="', fn(1:17),
     &     '" width="1000px"/></li>'
      goto 401
 402  close(10)
      write(12,'(a)') '</ol>'
      write(12,'(a)') '</body>'
      write(12,'(a)') '</html>'
      close(12)
      write(*,*) '>>> afirefox gnu_xxuu.html'
* === End of main segment ============================================ *
      stop
      end
