#***********************************************************************
#***** @author:  Bernd Noack *******************************************
#***** @task:    see x1_eigenproblemPOD.f ******************************
#***** @revised: 2012-01-14 -> Syracuse (split up of 1 in 2 files) *****
#***** @revised: 2011-02-10 Poitiers (+ioTERM*,+SHOW.sh) ***************
#***** @revised: 2010-11-07 Poitiers ***********************************
#***** @revised: 2010-07-10 Berlin (add actuation modes) ***************
#***** @revised: 2010-06-13 Princeton (renaming...) ********************
#***** @revised: 2010-04-21 Poitiers (renaming...) *********************
#***** @revised: 2010-04-01 Berlin (renaming x1X -> x1_X, ...) *********
#***** @revised: 2007-09-15 Poitiers ($FortranCompiler,  ...) **********
#***** @version: 2006-06-26 Poitiers ***********************************
#***********************************************************************
source x_defineLocalVariables.sh

echo "Executing the program ..."
time ./xTools/Y1_eigenproblemPOD || exit

echo "Visualizing the results ..."
gnuplot ./xTools/x1_eigenproblemPOD.gnuplot || exit
echo "$PNGViewer gnu_SpectrumPOD.png" >> SHOW.sh

echo "*** Fini ***"
echo ">>> See figure in last line of << SHOW.sh >>:"
tail -1 SHOW.sh

