set xlabel "i"
set ylabel "lambda_i"
set logscale y
set title "xAMC 2010-11-07: POD spectrum"
plot    "gnu_SpectrumPOD.dat" using 1:2
set grid xtics
set grid ytics
set out "gnu_SpectrumPOD.png"
set terminal png
replot

set xlabel "i"
set ylabel "lambda_i/Sum_j lambda_j"
set nologscale y
set title "xAMC 2010-11-07: normalized POD spectrum"
plot    "gnu_SpectrumPOD.dat" using 1:3
set grid xtics
set grid ytics
set out "gnu_SpectrumPOD1.png"
set terminal png
replot

set xlabel "i"
set ylabel "resolution"
set nologscale y
set title "xAMC 2010-11-07: normalized cumulative POD spectrum"
plot    "gnu_SpectrumPOD.dat" using 1:4
set grid xtics
set grid ytics
set out "gnu_SpectrumPOD2.png"
set terminal png
replot

set xlabel "i"
set ylabel "residual"
set logscale y
set title "xAMC 2010-11-07: normalized residual POD spectrum"
plot    "gnu_SpectrumPOD.dat" using 1:5
set grid xtics
set grid ytics
set out "gnu_SpectrumPOD3.png"
set terminal png
replot
