#***********************************************************************
#***** @author:  Bernd Noack *******************************************
#***** @task:    see x3_Statistics.f ***********************************
#***** @revised: 2012-01-14 -> Syracuse (split up of 1 in 2 files) *****
#***** @revised: 2011-07-14 Poitiers (amplitudes) **********************
#***** @revised: 2011-02-10 Poitiers (+ioTERM*,+SHOW.sh) ***************
#***** @revised: 2010-11-07 Poitiers ***********************************
#***** @version: 2010-03-02 Poitiers ***********************************
#***********************************************************************
source x_defineLocalVariables.sh

echo "Cleaning the directory..."
rm gnu_DS_Amplitudes.dat
rm gnu_DS_Amplitudes.ong
rm gnu_DS_Statistics.dat
rm gnu_DS_Statistics*.png

echo "Executing Y3_Statistics ..."
sleep 1
time ./xTools/Y3_Statistics

echo "Executing the gnuplot script ..."
gnuplot ./xTools/x3_Statistics.gnuplot
convert gnu_DS_Statistics1.png gnu_DS_Statistics1.eps # for DS report
convert gnu_DS_Statistics2.png gnu_DS_Statistics2.eps # for DS report
echo "$PNGViewer gnu_DS_Statistics1.png" >> SHOW.sh
echo "$PNGViewer gnu_DS_Statistics2.png" >> SHOW.sh
echo "$PNGViewer gnu_DS_Amplitudes.png"  >> SHOW.sh

echo "*** Fini ***"
echo "Listing of << gnu_TKE.dat >> with TKE_DS, TKE_ref, and error:"
cat gnu_TKE.dat
echo ">>> See figures in last lines of << SHOW.sh >>:"
tail -3 SHOW.sh

