#***********************************************************************
#***** @author:  Bernd Noack *******************************************
#***** @task:    see x3_EddyViscosity.f ********************************
#***** @revised: 2012-01-14 -> Syracuse (split up of 1 in 2 files) *****
#***** @revised: 2011-02-10 Poitiers (+ioTERM*,+SHOW.sh) ***************
#***** @revised: 2011-02-06 Poitiers ***********************************
#***** @created: 2011-02-06 Poitiers ***********************************
#***********************************************************************
source x_defineLocalVariables.sh

echo "Cleaning the directory..."
rm gnu_DS_nuT*.dat
rm gnu_DS_nuT*.png

echo "Executing Y3_EddyViscosity ..."
sleep 1
time ./xTools/Y3_EddyViscosity

echo "Prepare figures ..."
gnuplot ./xTools/x3_EddyViscosity.gnuplot
echo "$PNGViewer gnu_DS_EddyViscosity.png" >> SHOW.sh

echo "*** Fini ***"
echo ">>> See figure in last line of << SHOW.sh >>:"
tail -1 SHOW.sh

