#***********************************************************************
#***** @task:       Put xGM programs in run directory ******************
#***** @dependency: requires copyXGM.sh to be executed first ***********
#*****              or a created run directory *************************
#***** @author:     Bernd Noack ****************************************
#***** @revised:    2011-02-26 Poitiers (xAMC_Tools -> xRun + xTools) **
#***** @revised:    2010-09-02 Poitiers (xAMC.sh -> yAMC.sh) ***********
#***** @revised:    2010-04-01 Berlin (new file names) *****************
#***** @revised:    2006-09-14 Berlin (with yAMC) **********************
#***** @version:    2006-06-30 Poitiers ********************************
#***********************************************************************

#----- go in run directory ||  stop if it does not exist
cd ../run || exit
cd ..

#----- copy include files in run directory
cp $1/yAMC.sh run/

#----- copy include files in run directory
cp $1/xAMC_include/* run/
cp $1/yAMC_include/* run/
#cp $1/zAMC_include/* run/ || echo "zAMC_include not found!"

#----- unzip files
gunzip *.gz



