#***********************************************************************
#***** @author:  Bernd Noack *******************************************
#***** @task:    see x1_CorrelationMatrix.f ****************************
#***** @revised: 2012-01-14 -> Syracuse (split up of 1 in 2 files) *****
#***** @revised: 2011-02-10 Poitiers (+ioTERM*,+SHOW.sh) ***************
#***** @created: 2010-07-10 Berlin *************************************
#***********************************************************************
source x_defineFortranCompiler.sh

#echo "Cleaning the directory..."
#rm Y1_CorrelationMatrix
#rm Y1_CorrelationMatrixSub

echo "Compiling x1_CorrelationMatrix ..."
$FortranCompiler x1_CorrelationMatrix.f xs_ioTERMINAL.f xs_ioCORE.f xs_ioFilenames.f xs_ioCorrMatrSub.f -o Y1_CorrelationMatrix || exit

#echo ">>> Check compilation! [3 secs]"
#sleep 3

echo "Compiling x1_CorrelationMatrixSub ..."
$FortranCompiler x1_CorrelationMatrixSub.f xs_ioTERMINAL.f xs_ioCORE.f xs_ioFilenames.f xs_ioYGA.f xs_ioAmplitudes.f xs3X_ioGridSub.f xs3X_ioFlowSub.f xs3X_ioFlowsSub.f xs3X_ioModesSub.f xs_ioCorrMatrSub.f xs3X_subtractBaseFlowSub.f xs3X_compCorrMatrSub.f xs3X_opFlowSub.f xs3X_gxCORESub.f -o Y1_CorrelationMatrixSub || exit

#echo ">>> Check compilation! [3 secs]"
#sleep 3

echo "*** Fini ***"

