set title "xAMC 2012-03-08: Energy flow analysis"
set xlabel "i"
set ylabel "Modal energy flow terms"
plot "z1_ProductionTKE_m1.dat" using 1:2 w l title "Modal production",\
     "z1_ConvectionTKE_m1.dat" using 1:2 w l title "Modal convection",\
     "z1_DissipationTKE_m1.dat" using 1:2 w l title "Modal dissipation",\
     "z1_TransferTKE_m1.dat" using 1:2 w l title "Modal transfer",\
     "z1_PressurePowerTKE_m1.dat" using 1:2 w l title "Modal pressure power"
set grid xtics
set grid ytics
set terminal png
set output "gnu_EnergyFlowAnalysis.png"
replot
