#***********************************************************************
#***** @author:  Bernd Noack *******************************************
#***** @task:    see x1_EnergyFlowAnalysis.f ***************************
#***** @revised: 2012-01-14 -> Syracuse (split up of 1 in 2 files) *****
#***** @revised: 2011-02-10 Poitiers (+ioTERM*,+SHOW.sh) ***************
#***** @revised: 2010-10-25 Poitiers ***********************************
#***** @created: 2010-10-16 Poitiers ***********************************
#***********************************************************************
source x_defineLocalVariables.sh

#----- execute ---------------------------------------------------------
echo "Executing the program ..."
time ./xTools/Y1_EnergyFlowAnalysis

echo "*** Fini ***"

#----- show ------------------------------------------------------------
echo "Listing the results ..."
ls -al z1_*TKE*
echo "Listing TKE  in << z1_TKE.dat >> ..."
head -3 z1_TKE.dat
echo "Listing TKE  in << z1_ProductionTKE.dat >> ..."
head -3 z1_ProductionTKE.dat
echo "Listing TKE  in << z1_DissipationTKE.dat >> ..."
head -3 z1_DissipationTKE.dat
echo "Listing TKE  in << z1_ConvectionTKE.dat >> ..."
head -3 z1_ConvectionTKE.dat
echo "Listing TKE  in << z1_TransferTKE.dat >> ..."
head -3 z1_TransferTKE.dat
echo "Listing TKE  in << z1_PressurePowerTKE.dat >> ..."
head -3 z1_PressurePowerTKE.dat

gnuplot ./xTools/x1_EnergyFlowAnalysis.gnuplot
echo "$PNGViewer gnu_EnergyFlowAnalysis.png" >> SHOW.sh

echo "*** Fini ***"
echo ">>> See figures from last lines of << SHOW.sh >>:"
tail -1 SHOW.sh


