#***********************************************************************
#***** @author:  Bernd Noack *******************************************
#***** @task:    see x1_EnergyFlowAnalysis.f ***************************
#***** @revised: 2012-01-14 -> Syracuse (split up of 1 in 2 files) *****
#***** @revised: 2011-02-10 Poitiers (+ioTERM*,+SHOW.sh) ***************
#***** @revised: 2010-10-25 Poitiers ***********************************
#***** @created: 2010-10-16 Poitiers ***********************************
#***********************************************************************
source x_defineFortranCompiler.sh

#----- prepare ---------------------------------------------------------
#echo "Cleaning the directory ..."
#rm Y1_EnergyFlowAnalysis
#rm Y1_EnergyFlowAnalysisSub

echo "Compiling x1_EnergyFlowAnalysis ..."
$FortranCompiler x1_EnergyFlowAnalysis.f xs_ioTERMINAL.f xs_ioCORE.f xs_ioFilenames.f xs_ioYGA.f xs_ioList1d.f xs_ioList2d.f xs_ioList3d.f xs_ioEnergyFlowAnalysis.f -o Y1_EnergyFlowAnalysis || exit

#echo ">>> Check if compilation is OK [3 secs]"
#sleep 3

#----- prepare ---------------------------------------------------------

echo "Compiling x1_EnergyFlowAnalysisSub ..."
$FortranCompiler x1_EnergyFlowAnalysisSub.f xs_ioTERMINAL.f xs_ioCORE.f xs_ioFilenames.f xs_ioYGA.f xs_ioYGP.f xs_ioList1d.f xs_ioList2d.f xs_ioList3d.f xs_ioEnergyFlowAnalysis.f xs3X_ioGridSub.f xs3X_ioFlowSub.f xs3X_gxCORESub.f -o Y1_EnergyFlowAnalysisSub || exit

#echo ">>> Check if compilation is OK [3 secs]"
#sleep 3

echo "*** Fini***"

