#***********************************************************************
#***** @author:  Bernd Noack *******************************************
#***** @task:    see x1_eigenproblemDMD2.f *****************************
#***** @revised: 2012-01-14 -> Syracuse (split up of 1 in 2 files) *****
#***** @revised: 2011-02-10 Poitiers (+ioTERM*,+SHOW.sh) ***************
#***** @revised: 2010-11-07 Poitiers ***********************************
#***** @revised: 2010-06-19 Princeton **********************************
#***** @created: 2010-06-13 Princeton **********************************
#***********************************************************************
source x_defineLocalVariables.sh

echo "Executing the program ..."
time ./xTools/Y1_eigenproblemDMD2 || exit

echo "Visualizing the results ..."
gnuplot ./xTools/x1_eigenproblemDMD2.gnuplot || exit
echo "$PNGViewer gnu_SpectrumDMD.png" >> SHOW.sh

echo "*** Fini ***"
echo ">>> See figure in last line of << SHOW.sh >>:"
tail -1 SHOW.sh

