set xlabel "Re(mu_i)"
set ylabel "Im(mu_i)"
set title "xAMC 2010-11-07: DMD spectrum (Floquet matrix)"
plot    "gnu_SpectrumDMD.dat" using 2:3
set grid xtics
set grid ytics
set out "gnu_SpectrumDMD.png"
set terminal png
replot

set xlabel "Re(lambda_i)=sigma_i"
set ylabel "Im(lambda_i)=omega_i"
set title "xAMC 2010-11-07: DMD spectrum (stability matrix)"
plot    "gnu_SpectrumDMD.dat" using 4:5
set grid xtics
set grid ytics
set out "gnu_SpectrumDMD2.png"
set terminal png
replot

set xlabel "omega_i"
set ylabel "||v_i||_Omega^2"
set logscale x
set logscale y
set title "xAMC 2010-11-07: Fourier spectrum from DMD"
plot    "gnu_SpectrumDMD3.dat" using 2:3
set out "gnu_SpectrumDMD3.png"
set grid xtics
set grid ytics
set terminal png
replot
