#***********************************************************************
#***** @author:  Bernd Noack *******************************************
#***** @task:    see x3_plotAmplitudes.f *******************************
#***** @revised: 2012-01-14 -> Syracuse (split up of 1 in 2 files) *****
#***** @revised: 2011-02-10 Poitiers (+ioTERM*,+SHOW.sh) ***************
#***** @version: 2010-11-11 Poitiers ***********************************
#***********************************************************************
source x_defineLocalVariables.sh

echo "Cleaning the directory..."
rm gnu_ta*.dat
rm gnu_ta*.png

echo "Executing Y1_plotAmplitudes ..."
sleep 1
time ./xTools/Y1_plotAmplitudes < xX_plotAmplitudes.input
echo "$PSViewer gnu_ta.pdf" >> SHOW.sh

echo "*** Fini ***"
echo ">>> See figures in last line of << SHOW.sh >> (PDF):"
tail -1 SHOW.sh

