#***********************************************************************
#***** @author:  Bernd Noack *******************************************
#***** @task:    see x2_PressureTerm.f *********************************
#***** @revised: 2012-03-11 K"oln -> Poitiers **************************
#***** @created: 2012-03-10 Berlin/K"oln/Bonn **************************
#***********************************************************************
source x_defineFortranCompiler.sh

#----- prepare ---------------------------------------------------------
#echo "Cleaning the directory ..."
#rm Y2_PressureTerm
#rm Y2_PressureTermSub

echo "Compiling x2_PressureTerm ..."
$FortranCompiler x2_PressureTerm.f xs_ioTERMINAL.f xs_ioCORE.f xs_ioFilenames.f xs_ioYGA.f xs_ioAmplitudes.f xs_ioPressureTerm.f -o Y2_PressureTerm || exit

#echo ">>> Check if compilation is OK [3 secs]"
#sleep 3

#----- prepare ---------------------------------------------------------

echo "Compiling x2_PressureTermSub ..."
$FortranCompiler x2_PressureTermSub.f xs_ioTERMINAL.f xs_ioCORE.f xs_ioFilenames.f xs_ioYGA.f xs_ioAmplitudes.f xs_ioPressureTermSub.f xs3X_ioGridSub.f xs3X_ioFlowSub.f xs3X_gxCORESub.f -o Y2_PressureTermSub || exit

#echo ">>> Check if compilation is OK [3 secs]"
#sleep 3

echo "*** Fini***"

