#***********************************************************************
#***** @author:  Bernd R. Noack ****************************************
#***** @task:    see x3_FixedPoint.f ***********************************
#***** @revised: 2012-01-14 -> Syracuse (split up of 1 in 2 files) *****
#***** @revised: 2011-02-10 Poitiers (+ioTERM*,+SHOW.sh) ***************
#***** @revised: 2010-11-07 Poitiers ***********************************
#***** @revised: 2010-04-03 Berlin-Poitiers (neue Nomenklatur) *********
#***** @revised: 2010-01-16 Poitiers ***********************************
#***** @version: 2009-09-16 Bad Ems ************************************
#***********************************************************************
source x_defineLocalVariables.sh

echo "Cleaning the directory ..."
rm gnu_DS_FixedPoint.png

echo "Initial condition for fixed Point iteration ..."
$TextEditor z3_FixedPoint.dat || exit

echo "Executing Y3_FixedPoint ..."
sleep 1
time ./xTools/Y3_FixedPoint

echo "Partial listing of z3_FixedPoint.dat ..."
sleep 1
head -3 z3_FixedPoint.dat
echo "..."
tail -3 z3_FixedPoint.dat

echo "Executing gnuplot script ..."
gnuplot ./xTools/x3_FixedPoint.gnuplot
echo "$PNGViewer gnu_DS_FixedPoint.png" >> SHOW.sh
convert    gnu_DS_FixedPoint.png gnu_DS_FixedPoint.eps

echo "*** Fini ***"
echo ">>> See figures in last line of << SHOW.sh >>:"
tail -1 SHOW.sh

