#***********************************************************************
#***** @author:  Bernd R. Noack ****************************************
#***** @task:    see x3_StabilityAnalysis.f ****************************
#***** @revised: 2012-01-14 -> Syracuse (split up of 1 in 2 files) *****
#***** @revised: 2011-02-10 Poitiers (+ioTERM*,+SHOW.sh) ***************
#***** @revised: 2010-11-07 Poitiers ***********************************
#***** @created: 2009-09-16 Bad Ems ************************************
#***********************************************************************
source x_defineLocalVariables.sh

echo "Cleaning the directory ..."
rm gnu_DS_StabilitySpectrum.png

echo "Executing Y3_StabilityAnalysis ..."
sleep 1
time ./xTools/Y3_StabilityAnalysis

echo "Partial listing of z3_StabilitySpectrum.dat ..."
sleep 1
head -3 z3_StabilitySpectrum.dat
echo "..."
tail -3 z3_StabilitySpectrum.dat

echo "Executing gnuplot script ..."
gnuplot ./xTools/x3_StabilityAnalysis.gnuplot
convert gnu_DS_StabilitySpectrum.png gnu_DS_StabilitySpectrum.eps # for DS report
echo "$PNGViewer gnu_DS_StabilitySpectrum.png" >> SHOW.sh

echo "*** Fini ***"
echo ">>> See figure in last line of << SHOW.sh >>:"
tail -1 SHOW.sh
echo ">>> Visualize << z3_Eigenvector.* >> with"
echo ">>> ./x3_plotEigenvector.sh"

