plot "gnu_DS_Statistics.dat" using 1:2 w l title "m_i",\
     "gnu_DS_Statistics.dat" using 1:3 w l title "s_i"
set title "xAMC 2010-11-07: statistics (mean value & standard deviation)"
set xlabel "i"
set ylabel "m_i, s_i"
set grid xtics
set grid ytics
set terminal png
set output "gnu_DS_Statistics1.png"
replot

plot "gnu_DS_Statistics.dat" using 1:4 w l title "S_i",\
     "gnu_DS_Statistics.dat" using 1:5 w l title "F_i"
set title "xAMC 2010-11-07: statistics (skewness & flatness)"
set xlabel "i"
set ylabel "S_i, F_i"
set grid xtics
set grid ytics
set terminal png
set output "gnu_DS_Statistics2.png"
replot

plot "gnu_DS_Amplitudes.dat" using 1:2 w l title "A_i(DS)",\
     "gnu_DS_Amplitudes.dat" using 1:3 w l title "A_i(POD)"
set title "xAMC 2011-07-14"
set xlabel "i"
set ylabel "A_i"
set grid xtics
set grid ytics
set terminal png
set output "gnu_DS_Amplitudes.png"
replot
