#***********************************************************************
#***** @author:  Bernd Noack *******************************************
#***** @task:    see x3_ModalBalance.f *********************************
#***** @revised: 2012-01-14 -> Syracuse (split up of 1 in 2 files) *****
#***** @revised: 2011-02-10 Poitiers (+ioTERM*,+SHOW.sh) ***************
#***** @revised: 2011-02-05 Poitiers ***********************************
#***** @created: 2011-02-05 Poitiers ***********************************
#***********************************************************************
source x_defineLocalVariables.sh

echo "Cleaning the directory..."
rm gnu_DS_mb*.dat
rm gnu_DS_mb*.png

echo "Executing Y3_ModalBalance ..."
sleep 1
time ./xTools/Y3_ModalBalance

echo "Prepare figures ..."
gnuplot ./xTools/x3_ModalBalance.gnuplot
echo "$PNGViewer gnu_DS_modalReynolds.png" >> SHOW.sh
echo "$PNGViewer gnu_DS_modalTKE.png" >> SHOW.sh

echo "*** Fini ***"
echo ">>> See figures in last lines of << SHOW.sh >>:"
tail -2 SHOW.sh

