************************************************************************
***** Programm created by Bernd R. Noack, 2009-05-13 *******************
************************************************************************
      program s09
      implicit none
      integer      iCh1,iCh2
      character*80 Line
      integer      fnLength, fn2Length
      character*80 fn,       fn2
* === begin of main segment =========================================== *
* --- Open the file listing and the shell script for renaming
* --- Restrict file listing to current directory "ls -d"
      call system('ls -d *ds* > tmp.lis')
      call system('kwrite tmp.lis')
      open(unit=11,file  ='tmp.lis',   status='old',
     &             access='sequential', form  ='formatted')
      open(unit=12,file  ='tmp.sh',    status='unknown',
     &             access='sequential', form  ='formatted')
* --- Loop over files ------------------------------------------------- *
 1    continue
* --- read file name
      read(11,'(a)',end=999) Line
      call readFileName(Line,fn,fnLength)
      fn2       = fn(1:fnLength)
      fn2Length = fnLength ! 
* --- Write move command
      write(12,'(a,2x,a,2x,a)') 'mv',
     &          fn (1:fnLength),
     &          fn2(1:fn2Length)
      goto 1
* --- End of loop over files ------------------------------------------ *
 999  continue
      close(11)
      close(12)
* --- user output
      call system('kwrite tmp.sh')
      write(*,*) '****************************************'
      write(*,*) '>>> sh tmp.sh'
* === end of main segment ============================================= *
      stop
      end

************************************************************************
* === read file name ================================================= *
      subroutine readFileName(Line,fn,fnLength)
      implicit none
      integer fnLength, iCh, iChMin, iChMax, iASCII
      character*80 Line, fn
* --- begin segment -------------------------------------------------- *
      write(*,*) 'Reading the file name...',Line(1:40)
* --- truncate string from comments starting with [
      iChMax = index(Line,'[')-1
      if (iChMax.lt.0) iChMax=80
* --- avoid 
      do while (Line(iChMax:iChMax).eq.' '.and.iChMax.gt.1)
         iChMax = iChMax - 1
      end do
      iChMin = 1
      do while ((iChar(Line(iChMin:iChMin)).eq.iChar(' ').or.
     &           iChar(Line(iChMin:iChMin)).eq.iChar('(').or.
     &           iChar(Line(iChMin:iChMin)).eq.iChar(')').or.
     &           iChar(Line(iChMin:iChMin)).eq.iChar('{').or.
     &           iChar(Line(iChMin:iChMin)).eq.iChar('}').or.
     &           iChar(Line(iChMin:iChMin)).eq.iChar('[').or.
     &           iChar(Line(iChMin:iChMin)).eq.iChar(']')).and.
     &           iChMin.lt.iChMax)
* --- search for first Character (0-9, a-z or A-Z)
C      do while ((iChar(Line(iChMin:iChMin)).lt.iChar('0').and.
C     &           iChar(Line(iChMin:iChMin)).gt.iChar('9')).and.
C     &          (iChar(Line(iChMin:iChMin)).lt.iChar('A').and.
C     &           iChar(Line(iChMin:iChMin)).gt.iChar('Z')).and.
C     &          (iChar(Line(iChMin:iChMin)).lt.iChar('a').and.
C     &           iChar(Line(iChMin:iChMin)).gt.iChar('Z')).and.
C     &           iChMin.lt.iChMax)
         iChMin = iChMin + 1
      end do
      if (iChMin.eq.iChMax) stop 'No file name found'
* ---
      fn       = Line(iChMin:iChMax)
      fnLength = iChMax-iChMin+1
      write(*,'(a,i2.2,a,i2.2,3a,i3)') ' Name(',iChMin,':',iChMax,')=',
     &         fn(1:fnLength),'; length=',fnLength
* --- end segment ---------------------------------------------------- *
      return
      end

