#***********************************************************************
#***** @author:  Bernd Noack *******************************************
#***** @task:    prepare run directory before yAMC.sh ******************
#***** @created: 2012-01-14 Syracuse ***********************************
#***********************************************************************
echo "Compiling all xTools executed in yAMC.sh ..."
cat yAMC.sh | grep './x' > tmp1.sh
cat tmp1.sh | grep '.sh' > tmp2.sh
cat tmp2.sh | sed -e 's/.sh/_0.sh/' > tmp3.sh
chmod u+x tmp[1-3].sh
./tmp3.sh
rm tmp[1-3].sh

echo "Preparing directory << yTools >> ..."
mkdir   yTools
mv Y* ./yTools

echo "Preparing directory << xTools >> ..."
mkdir              xTools
mv INIT*.sh      ./xTools
mv CHECK*.sh     ./xTools
mv x*_0.sh       ./xTools
mv x*.f          ./xTools
mv x*.include    ./xTools
mv x*.o          ./xTools
mv x*.gnuplot    ./xTools
#---
mv ns_*.f        ./xTools
#---
mv g?2d*.f       ./xTools
mv g?2d*.include ./xTools
#---
mv a*.sh         ./xTools
mv a*.f          ./xTools
mv a*.include    ./xTools

